Page MenuHomePhabricator

Add debug output to MipsDelaySlotFiller pass
ClosedPublic

Authored by arichardson on Dec 2 2019, 11:45 PM.

Details

Summary

I was tracking down a code-generation bug in this pass and found that the
added output was useful. It is also helpful to find out why a delay slot
could not be filled even though there is clearly a valid instruction (which
appears to mostly be caused by CFI instructions).

Diff Detail

Event Timeline

arichardson created this revision.Dec 2 2019, 11:45 PM

Build result: fail - 60400 tests passed, 1 failed and 726 were skipped.

failed: LLVM.Bindings/Go/go.test

Log files: console-log.txt, CMakeCache.txt

This revision is now accepted and ready to land.Dec 3 2019, 5:08 AM
Closed by commit rG0cc4b959851e: Add debug output to MipsDelaySlotFiller pass (authored by Alex Richardson <Alexander.Richardson@cl.cam.ac.uk>). · Explain WhyDec 4 2019, 3:39 AM
This revision was automatically updated to reflect the committed changes.